#ifndef _TRANSACTION_H
#define _TRANSACTION_H

#include <stdio.h>

struct vlock {
    FILE *fd;
    char *tempfile;
    char *filename;
};

extern struct vlock *vpwlock(char*,char*);
extern int vpwrollback(struct vlock*);
extern int vpwcommit(struct vlock*);

#endif/*_TRANSACTION_H*/
